package com.crm.pay.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawAllLandDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;


    @JSONField(ordinal = 20)
    private String bankUname;

    @JSONField(ordinal = 25)
    private String certNo;

    @JSONField(ordinal = 30)
    private String bankCardNum;

    @JSONField(ordinal = 40)
    private String bankName;

    @JSONField(ordinal = 50)
    private BigDecimal cnyAmount;

    @JSONField(ordinal = 55)
    private String paymethod;


    public FinanceWithdrawAllLandDto() {
        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();

        params.put("cnyAmount", "金额");
        params.put("amount", "金额");
        params.put("bankUname", "银行账户名");
        params.put("bankCardNum", "银行卡号");
        params.put("bankName", "银行名称");
        params.put("certNo", "证件号码（身份证号）");

        paramsEn.put("cnyAmount", "amount");
        paramsEn.put("paymethod", "paymethod");
        paramsEn.put("bankUname", "banke uname");
        paramsEn.put("bankCardNum", "bank cark num");
        paramsEn.put("bankName", "bank name");
        paramsEn.put("certNo", "cert no");

    }
}
